Module java.sql
Package java.sql

# Class SQLDataException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
java.sql.SQLNonTransientException
java.sql.SQLDataException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

public class SQLDataException extends SQLNonTransientException
The subclass of `SQLException` thrown when the SQLState class value is '22', or under vendor-specified conditions. This indicates various data errors, including but not limited to data conversion errors, division by 0, and invalid arguments to functions.

Please consult your driver vendor documentation for the vendor-specified conditions for which this `Exception` may be thrown.

Since:
  1.6
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SQLDataException()`
  Constructs a `SQLDataException` object.
  `SQLDataException(String reason)`
  Constructs a `SQLDataException` object with a given `reason`.
  `SQLDataException(String reason, String SQLState)`
  Constructs a `SQLDataException` object with a given `reason` and `SQLState`.
  `SQLDataException(String reason, String SQLState, int vendorCode)`
  Constructs a `SQLDataException` object with a given `reason`, `SQLState` and `vendorCode`.
  `SQLDataException(String reason, String SQLState, int vendorCode, Throwable cause)`
  Constructs a `SQLDataException` object with a given `reason`, `SQLState`, `vendorCode` and `cause`.
  `SQLDataException(String reason, String SQLState, Throwable cause)`
  Constructs a `SQLDataException` object with a given `reason`, `SQLState` and `cause`.
  `SQLDataException(String reason, Throwable cause)`
  Constructs a `SQLDataException` object with a given `reason` and `cause`.
  `SQLDataException(Throwable cause)`
  Constructs a `SQLDataException` object with a given `cause`.

- ## Method Summary

  ### Methods declared in class java.sql.SQLException

  `getErrorCode, getNextException, getSQLState, iterator, setNextException`

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### SQLDataException

    public SQLDataException()
    Constructs a `SQLDataException` object. The `reason`, `SQLState` are initialized to `null` and the vendor code is initialized to 0. The `cause` is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)` method.
    Since:
      1.6

  - ### SQLDataException

    public SQLDataException(String reason)
    Constructs a `SQLDataException` object with a given `reason`. The `SQLState` is initialized to `null` and the vendor code is initialized to 0. The `cause` is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)` method.
    Parameters:
      `reason` - a description of the exception
    Since:
      1.6

  - ### SQLDataException

    public SQLDataException(String reason, String SQLState)
    Constructs a `SQLDataException` object with a given `reason` and `SQLState`. The vendor code is initialized to 0. The `cause` is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)` method.
    Parameters:
      `reason` - a description of the exception
      `SQLState` - an XOPEN or SQL:2003 code identifying the exception
    Since:
      1.6

  - ### SQLDataException

    public SQLDataException(String reason, String SQLState, int vendorCode)
    Constructs a `SQLDataException` object with a given `reason`, `SQLState` and `vendorCode`. The `cause` is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)` method.
    Parameters:
      `reason` - a description of the exception
      `SQLState` - an XOPEN or SQL:2003 code identifying the exception
      `vendorCode` - a database vendor specific exception code
    Since:
      1.6

  - ### SQLDataException

    public SQLDataException(Throwable cause)
    Constructs a `SQLDataException` object with a given `cause`. The `SQLState` is initialized to `null` and the vendor code is initialized to 0. The `reason` is initialized to `null` if `cause==null` or to `cause.toString()` if `cause!=null`.
    Parameters:
      `cause` - the underlying reason for this `SQLException` (which is saved for later retrieval by the `getCause()` method); may be null indicating the cause is non-existent or unknown.
    Since:
      1.6

  - ### SQLDataException

    public SQLDataException(String reason, Throwable cause)
    Constructs a `SQLDataException` object with a given `reason` and `cause`. The `SQLState` is initialized to `null` and the vendor code is initialized to 0.
    Parameters:
      `reason` - a description of the exception.
      `cause` - the underlying reason for this `SQLException` (which is saved for later retrieval by the `getCause()` method); may be null indicating the cause is non-existent or unknown.
    Since:
      1.6

  - ### SQLDataException

    public SQLDataException(String reason, String SQLState, Throwable cause)
    Constructs a `SQLDataException` object with a given `reason`, `SQLState` and `cause`. The vendor code is initialized to 0.
    Parameters:
      `reason` - a description of the exception.
      `SQLState` - an XOPEN or SQL:2003 code identifying the exception
      `cause` - the underlying reason for this `SQLException` (which is saved for later retrieval by the `getCause()` method); may be null indicating the cause is non-existent or unknown.
    Since:
      1.6

  - ### SQLDataException

    public SQLDataException(String reason, String SQLState, int vendorCode, Throwable cause)
    Constructs a `SQLDataException` object with a given `reason`, `SQLState`, `vendorCode` and `cause`.
    Parameters:
      `reason` - a description of the exception
      `SQLState` - an XOPEN or SQL:2003 code identifying the exception
      `vendorCode` - a database vendor-specific exception code
      `cause` - the underlying reason for this `SQLException` (which is saved for later retrieval by the `getCause()` method); may be null indicating the cause is non-existent or unknown.
    Since:
      1.6